#include <iostream>
#include <stdlib.h>
#include <string>
 #include <sstream>
using namespace std;

int main()
{
    string a, b, c;
    cin>> a>> b>> c;
    string broj1, broj2, broj3, broj4, broj5, broj6;
    
    broj1 = a + b + c;
    broj2 = a + c + b;
    broj3 = b + a + c;
    broj4 = b + c + a;
    broj5 = c + a + b; 
    broj6 = c + b + a;
    
   long long int prvi, drugi, treci, cetvrti, peti, sesti;
   prvi = stoll(broj1);
   drugi = stoll(broj2);
   treci = stoll(broj3);
   cetvrti = stoll(broj4);
   peti = stoll(broj5);
   sesti = stoll(broj6);
   
   long long int max = 0;
   if(max<prvi)
   {
       max = prvi;
   }
   if(max<drugi)
   {
       max = drugi;
   }
   if(max<treci)
   {
       max = treci;
   }
   if(max<cetvrti)
   {
       max = cetvrti;
   }
   if(max<peti)
   {
       max = peti;
   }
   if(max<sesti)
   {
       max = sesti;
   }
   
   cout<< max;
   
   
  return 0;
}